#
# spec file for package yast2-config-lilo (Version 2.5.13)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libycp-devel libyui tcl yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-devtools yast2-testsuite ycpdoc ydoc
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib dejagnu expect gcc gdbm gettext libscr libtool liby2 libycp libycp-devel libyui libz pam perl rpm tcl yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-devtools yast2-testsuite ycpdoc ydoc

Name:         yast2-config-lilo
Version:      2.5.13
Release:      96
License:      YaST License
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-config-lilo-2.5.13.tar.bz2
Requires:     yast2-trans-lilo yast2 yast2-agent-any yast2-agent-liloconf yast2-agent-system
Provides:     yast2-config-bootloader
Obsoletes:    yast2-config-bootloader
BuildArchitectures:     noarch
Summary:      YaST2 - component for bootloader configuration

%description
This package contains the YaST2 component for bootloader configuration.

Authors:
--------
    Dan Meszaros

SuSE series: yast

%prep
%setup -n yast2-config-lilo-2.5.13

%build
y2tool y2autoconf
y2tool y2automake
autoreconf --force --install
%ifarch s390x
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -fsigned-char"
%else
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%endif
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir}
make

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install-strip DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT -name "lib*.so.*.*"` ; do strip --strip-debug $f ; done
Y2DIR="$RPM_BUILD_ROOT/usr/lib/YaST2" make check

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/lib/YaST2/include/lilo
/usr/lib/YaST2/include/lilo/*.ycp
/usr/lib/YaST2/clients/lilo*.ycp
/usr/lib/YaST2/menuentries/menu*.y2cc
/usr/lib/YaST2/modules/Lilo.ycp
%doc /usr/share/doc/packages/yast2-config-lilo

%changelog -n yast2-config-lilo
* Mon Oct 21 2002 - jsrain@suse.cz
- doesn't use fixed filenames for temporary files more, but uses
  .target.tmpdir instead (#20963)
* Thu Mar 21 2002 - mvidner@suse.cz
- Obsoletes yast2-config-bootloader. (#15135)
- 2.5.13
* Fri Mar 15 2002 - dmeszar@suse.cz
- fixed #14935 (can't close with WM)
* Mon Mar 04 2002 - dmeszar@suse.cz
- fixed bug #14100 (main dialog not hiden when exiting)
- screenshot mode implemented
* Mon Feb 18 2002 - dmeszar@suse.cz
- fixed bug #13505 (incomplete label "Uninstall boot loader from"->
  device name is missing)
- fixed bug #13524 (broken writing of special lilo options
  (like change-rules, disk, map-drive...)
* Mon Feb 11 2002 - dmeszar@suse.cz
- fixed restoring original settings from installation
* Tue Feb 05 2002 - dmeszar@suse.cz
- implemented section order changing
* Mon Jan 28 2002 - dmeszar@suse.cz
- don't read 'user_settings'
* Wed Jan 23 2002 - dmeszar@suse.cz
- fixed rpm dependencied
* Fri Jan 11 2002 - dmeszar@suse.cz
- fixed original lilo.conf restoring
* Sat Dec 22 2001 - dmeszar@suse.cz
- autoinstallation adaptation
- installed linux's scanner
- 3rd param for 'select', fixed specfile
* Fri Nov 09 2001 - dmeszar@suse.cz
- major ui changes- new startup dialog, sequence changed
- addaptation for installation
* Thu Sep 20 2001 - dmeszar@suse.cz
- module icon changed to 'boot.png' ;)
* Tue Sep 18 2001 - dmeszar@suse.cz
- module icon changed to 'lilo.png' (#10656)
* Mon Sep 17 2001 - dmeszar@suse.cz
- bug #10661 fixed (lilo configuration written without change !!)
- bug #10667 fixed (No section is marked as default, if there is the
  keyword 'default' missing in the lilo.conf.)
* Thu Sep 13 2001 - kendy@suse.cz
- Write the lilo.conf first and then run lilo (not in the reverse
  order...)
- Some unused code removed, lilo_write.ycp is not distributed.
* Mon Sep 10 2001 - dmeszar@suse.cz
- use Arch:: instead of user_settings
* Tue Sep 04 2001 - dmeszar@suse.cz
- fix #10062
- fixed the qt-IntField update bug (after creation of
  dialog the intfield doesn't show its actual value
  but shows 0 under qt)
* Fri Aug 31 2001 - dmeszar@suse.cz
- use 'Add other section' radio button instead of 'add windows/os2 section'
  for sparcs
- removed debug logging
* Mon Aug 27 2001 - dmeszar@suse.cz
- removed 'uninstall silo', 'install to boot/root' for sparcs
- sparc: if kernel image's path is /'kernel', add '/boot' as prefix
  when checking the kernel existence and description
* Mon Aug 20 2001 - dmeszar@suse.cz
- fixed section label displaying in summary table ("section label" - > section label)
* Mon Aug 13 2001 - dmeszar@suse.cz
- fixed description for other sections in summary table
* Wed Aug 08 2001 - dmeszar@suse.cz
- correct handling od '\' '"' chars when reading ui input fields
- fixed 'other' section removing
- section quota set to 16
* Tue Jul 31 2001 - dmeszar@suse.cz
- uninstall ability implemnted
- section removing fixed
- don't show 'image' option in options list of image/other section
- help text for options stripped to minimal acceptable extent
- options dialog layout changes
- option editing dialog added
* Mon Jul 30 2001 - dmeszar@suse.cz
- save confirm dialog added
* Thu Jul 26 2001 - dmeszar@suse.cz
- proof-read texts, platform dependent code added
* Thu Mar 22 2001 - dmeszar@suse.cz
- initial version
